variable "api_token" {
    description = "Cloudflare account API token"
    type        = string
    default     = ""
    sensitive   = true
}

variable "dns_records" {
    description = "DNS A records to create"
    type        = list(object({
        name    = string
        type    = string
        content = string
        ttl     = number
    }))
    default     = []
}
